petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASSetRestriction

Sets the function to be used to restrict the defect from level l to l-1.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetRestriction(SNES snes, PetscInt level, Mat mat)

### Input Parameters

| snes | - the multigrid context
| mat | - the restriction matrix
| level | - the level (0 is coarsest) to supply [Do not supply 0]

### Notes

Usually this is the same matrix used also to set the interpolation for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

If you do not set this, the transpose of the Mat set with SNESFASSetInterpolation() is used.

### See Also

SNESFASSetInterpolation(), SNESFASSetInjection()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages